| pktools 2.6.7 Processing Kernel for geospatial data

Public Member Functions | List of all members
Solver_NU Class Reference
Inheritance diagram for Solver_NU:
[legend]
Collaboration diagram for Solver_NU:
[legend]

## Public Member Functions
void | Solve (int l, const QMatrix &Q, const double *p, const schar *y, double *alpha, double Cp, double Cn, double eps, SolutionInfo *si, int shrinking, bool verbose=false)
Public Member Functions inherited from Solver
void | Solve (int l, const QMatrix &Q, const double *p_, const schar *y_, double *alpha_, double Cp, double Cn, double eps, SolutionInfo *si, int shrinking, bool verbose=false)

## Additional Inherited Members
Protected Types inherited from Solver
enum | { LOWER_BOUND , UPPER_BOUND , FREE }
Protected Member Functions inherited from Solver
double | get_C (int i)
void | update_alpha_status (int i)
bool | is_upper_bound (int i)
bool | is_lower_bound (int i)
bool | is_free (int i)
void | swap_index (int i, int j)
void | reconstruct_gradient ()
virtual int | select_working_set (int &i, int &j)
virtual double | calculate_rho ()
virtual void | do_shrinking ()
Protected Attributes inherited from Solver
int | active_size
schar * | y
double * | G
char * | alpha_status
double * | alpha
const QMatrix * | Q
const double * | QD
double | eps
double | Cp
double | Cn
double * | p
int * | active_set
double * | G_bar
int | l
bool | unshrink

## Detailed Description

Definition at line 1016 of file svm.cpp.

## Constructor & Destructor Documentation

## ◆ Solver_NU()

Solver_NU::Solver_NU | ( |  | ) |
| inline

Definition at line 1019 of file svm.cpp.

1019{}

## Member Function Documentation

## ◆ Solve()

void Solver_NU::Solve | ( | int | l,
|  | const QMatrix & | Q,
|  | const double * | p,
|  | const schar * | y,
|  | double * | alpha,
|  | double | Cp,
|  | double | Cn,
|  | double | eps,
|  | SolutionInfo * | si,
|  | int | shrinking,
|  | bool | verbose = `false`
| ) |  |
| inline

Definition at line 1020 of file svm.cpp.

1023 {
1024 this->si = si;
1025 Solver::Solve(l,Q,p,y,alpha,Cp,Cn,eps,si,shrinking,verbose);
1026 }

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.NvCr9x/build_pktools/PKTOOLS-2.6.7.6/src/algorithms/svm.cpp